> ## Documentation Index
> Fetch the complete documentation index at: https://docs.qonto.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve a webhook endpoint

> Retrieves the webhook endpoint identified by the `id` path parameter.



## OpenAPI

````yaml get /register/webhooks/{id}
openapi: 3.0.3
info:
  title: Onboarding API
  version: '1.0'
  license:
    name: Proprietary
    url: https://qonto.com/terms
servers:
  - url: https://thirdparty-sandbox.staging.qonto.co
    description: Sandbox
  - url: https://onboarding-partners.qonto.com
    description: Production
security:
  - apiKey: []
    qontoPartnerId: []
tags:
  - name: Registrations
    description: Endpoints for Registration resource
  - name: Files
    description: Endpoints for file management throughout the company creation process.
  - name: Webhooks
    description: Endpoints to configure webhook to be notified about registration progress.
paths:
  /register/webhooks/{id}:
    get:
      tags:
        - Webhooks
      summary: Retrieve a webhook endpoint
      description: Retrieves the webhook endpoint identified by the `id` path parameter.
      operationId: webhooks/get
      parameters:
        - $ref: '#/components/parameters/X-Qonto-Staging-Token'
        - name: id
          in: path
          description: id of the Webhook resource
          required: true
          schema:
            type: string
            example: f4a15ff0-40a2-48d4-8801-99c7b4e0788e
          examples:
            default:
              value: f4a15ff0-40a2-48d4-8801-99c7b4e0788e
      responses:
        '200':
          description: Returns the webhook endpoint identified by the `id` path parameter.
          content:
            application/json:
              schema:
                type: object
                properties:
                  webhook_subscription:
                    $ref: '#/components/schemas/webhook'
        '400':
          $ref: '#/components/responses/400-bad-request'
        '401':
          $ref: '#/components/responses/401-unauthorized'
        '404':
          $ref: '#/components/responses/404-not-found'
        '500':
          $ref: '#/components/responses/500-internal-servor-error'
      security:
        - apiKey: []
          qontoPartnerId: []
components:
  parameters:
    X-Qonto-Staging-Token:
      name: X-Qonto-Staging-Token
      in: header
      description: >-
        Required only for Sandbox API requests; to get one, please sign up to
        the [Developer Portal](https://developers.qonto.com/).
      schema:
        type: string
  schemas:
    webhook:
      title: Webhook
      type: object
      required:
        - callback_url
        - enabled
        - secret
      properties:
        id:
          type: string
          format: uuid
          example: 37824615-afec-4340-b700-0981b5f0c319
          readOnly: true
        created_at:
          type: string
          format: date-time
          readOnly: true
          example: '2021-08-17T12:31:32.689Z'
        updated_at:
          type: string
          format: date-time
          readOnly: true
          example: '2021-08-17T12:31:32.689Z'
        callback_url:
          type: string
          description: Your webhook endpoint
          example: https://example.com/myCallbackUrl
        enabled:
          type: boolean
          description: Whether the webhook should be used or not
          default: true
          example: true
        secret:
          type: string
          description: Secret used for applying HMAC-SHA256 to the webhook event payload
          example: 1qA+9OSwfnm0NuhF+b8CJA==
    errors:
      title: Errors
      type: object
      properties:
        errors:
          type: array
          items:
            type: object
            properties:
              code:
                type: string
                readOnly: true
              detail:
                type: string
                readOnly: true
              source:
                type: object
                properties:
                  pointer:
                    type: string
                readOnly: true
            required:
              - code
              - detail
  responses:
    400-bad-request:
      description: Returns a bad request error.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/errors'
    401-unauthorized:
      description: Returns an unauthorized error.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/errors'
          examples:
            Example:
              $ref: '#/components/examples/unauthorized'
    404-not-found:
      description: >-
        Returns a not found error if the specified resource was not found or
        does not belong to the authenticated partner.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/errors'
          examples:
            Example:
              $ref: '#/components/examples/not-found'
    500-internal-servor-error:
      description: Returns an internal server error.
  examples:
    unauthorized:
      value:
        errors:
          - code: unauthorized
            detail: You must authenticate to perform API requests
    not-found:
      value:
        errors:
          - code: not_found
            detail: The record identified by <uuid> could not be found.
  securitySchemes:
    apiKey:
      type: http
      description: >
        Bearer authorization header: `Bearer <token>`.

        To get your `<token>`, please sign up to the [Developer
        Portal](https://developers.qonto.com/).
      scheme: bearer
      bearerFormat: JWT
    qontoPartnerId:
      type: apiKey
      description: >
        API Key authorization header: `Qonto-Partner-Id: <partner_id>`.

        To get your `<partner_id>` please, sign up to the [Developer
        Portal](https://developers.qonto.com/).
      name: Qonto-Partner-Id
      in: header

````